Package tigase.form

# Class Form

java.lang.Object
tigase.form.AbstractForm
tigase.form.Form

Direct Known Subclasses:
  `MultiItemForm`

public class Form extends AbstractForm

Created: 2007-05-27 11:41:02

Author:
  bmalkow

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Fields`
  `fields`
  `protected static final Logger`
  `log`

  ### Fields inherited from class tigase.form.AbstractForm

  `instruction, title, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Form(String type, String title, String instruction)`
  `Form(Element form)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addField(Field field)`
  `void`
  `clear()`
  `void`
  `copyValuesFrom(Form form)`
  `void`
  `copyValuesFrom(Element form)`
  `Field`
  `get(String var)`
  `List<Field>`
  `getAllFields()`
  `Boolean`
  `getAsBoolean(String var)`
  `Integer`
  `getAsInteger(String var)`
  `Long`
  `getAsLong(String var)`
  `String`
  `getAsString(String var)`
  `String[]`
  `getAsStrings(String var)`
  `Element`
  `getElement()`
  `String`
  `getInstruction()`
  `String`
  `getTitle()`
  `String`
  `getType()`
  `String`
  `getTypeOrElse(String defValue)`
  `boolean`
  `is(String var)`
  `boolean`
  `isType(String type)`
  `void`
  `removeField(String var)`
  `void`
  `setInstruction(String instruction)`
  `void`
  `setTitle(String title)`
  `void`
  `setType(String type)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### log

    protected static final Logger log

  - ### fields

    protected Fields fields

- ## Constructor Details

  - ### Form

    public Form(Element form)

  - ### Form

    public Form(String type, String title, String instruction)

- ## Method Details

  - ### addField

    public void addField(Field field)

  - ### clear

    public void clear()

  - ### copyValuesFrom

    public void copyValuesFrom(Element form)

  - ### copyValuesFrom

    public void copyValuesFrom(Form form)

  - ### get

    public Field get(String var)

  - ### getAllFields

    public List<Field> getAllFields()

  - ### getAsBoolean

    public Boolean getAsBoolean(String var)

  - ### getAsInteger

    public Integer getAsInteger(String var)

  - ### getAsLong

    public Long getAsLong(String var)

  - ### getAsString

    public String getAsString(String var)

  - ### getAsStrings

    public String[] getAsStrings(String var)

  - ### getElement

    public Element getElement()
    Overrides:
      `getElement` in class `AbstractForm`

  - ### getInstruction

    public String getInstruction()
    Overrides:
      `getInstruction` in class `AbstractForm`

  - ### setInstruction

    public void setInstruction(String instruction)
    Overrides:
      `setInstruction` in class `AbstractForm`

  - ### getTitle

    public String getTitle()
    Overrides:
      `getTitle` in class `AbstractForm`

  - ### setTitle

    public void setTitle(String title)
    Overrides:
      `setTitle` in class `AbstractForm`

  - ### getType

    public String getType()
    Overrides:
      `getType` in class `AbstractForm`

  - ### setType

    public void setType(String type)
    Overrides:
      `setType` in class `AbstractForm`

  - ### getTypeOrElse

    public String getTypeOrElse(String defValue)
    Overrides:
      `getTypeOrElse` in class `AbstractForm`

  - ### is

    public boolean is(String var)

  - ### isType

    public boolean isType(String type)
    Overrides:
      `isType` in class `AbstractForm`

  - ### removeField

    public void removeField(String var)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`